/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICollection, IContext, IQueuedMessage, IPartitionLambda } from "@fluidframework/server-services-core";
/**
 * @internal
 */
export declare class ScriptoriumLambda implements IPartitionLambda {
    private readonly opCollection;
    protected context: IContext;
    private readonly providerConfig;
    private readonly dbHealthCheckFunction;
    private pending;
    private pendingOffset;
    private current;
    private readonly clientFacadeRetryEnabled;
    private readonly telemetryEnabled;
    private readonly shouldLogInitialSuccessVerbose;
    private pendingMetric;
    private readonly maxDbBatchSize;
    private readonly restartOnCheckpointFailure;
    private readonly logSavedOpsTimeIntervalMs;
    private readonly opsCountTelemetryEnabled;
    private savedOpsCount;
    private lastSuccessfulOffset;
    private readonly dbCircuitBreaker;
    private readonly circuitBreakerEnabled;
    private readonly circuitBreakerOptions;
    constructor(opCollection: ICollection<any>, context: IContext, providerConfig: Record<string, any> | undefined, dbHealthCheckFunction: (...args: any[]) => Promise<any>);
    /**
     * {@inheritDoc IPartitionLambda.handler}
     */
    handler(message: IQueuedMessage): undefined;
    close(): void;
    pause(offset: number): void;
    private errorFilterForCircuitBreaker;
    private sendPending;
    private logErrorTelemetry;
    private processMongoCore;
    private insertOp;
}
//# sourceMappingURL=lambda.d.ts.map